Parteien
Alle Operationen rund um Parteien.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Party | party |
56 | — | party_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/parties |
Create partie | Legt eine neue Partei (Kunde oder Lieferant) im aktuellen Tenant an. |
DELETE |
/v1/parties/{id} |
Delete partie | Soft delete entity. |
DELETE |
/v1/parties/{id}/portal-users/{relationshipId} |
DELETE /v1/parties/{id}/portal-users/{relationshipId} | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id} |
Get partie by id | Fetch a single partie. |
GET |
/v1/parties/{partyId}/addresses/{addressId}/references |
GET /v1/parties/{partyId}/addresses/{addressId}/references | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/approvers |
GET /v1/parties/{id}/approvers | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/article-picker |
GET /v1/parties/{id}/article-picker | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/contact-frequency |
GET /v1/parties/{id}/contact-frequency | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/customer-bundles-summary |
GET /v1/parties/{id}/customer-bundles-summary | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/customer-prices |
GET /v1/parties/{id}/customer-prices | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/customer-users |
GET /v1/parties/{id}/customer-users | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/descendants |
GET /v1/parties/{id}/descendants | CodeMeta OS API endpoint. |
GET |
/v1/parties/export |
GET /v1/parties/export | CodeMeta OS API endpoint. |
GET |
/v1/parties/export/{id} |
GET /v1/parties/export/{id} | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/ip-assets |
GET /v1/parties/{id}/ip-assets | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/nearby-appointments |
GET /v1/parties/{id}/nearby-appointments | CodeMeta OS API endpoint. |
GET |
/v1/parties/numbering-config |
GET /v1/parties/numbering-config | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/portal-overview |
GET /v1/parties/{id}/portal-overview | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/portal-user-candidates |
GET /v1/parties/{id}/portal-user-candidates | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/portal-users |
GET /v1/parties/{id}/portal-users | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/shop-onboarding-status |
GET /v1/parties/{id}/shop-onboarding-status | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/parties/{partyId}/travel-time |
GET /v1/parties/{partyId}/travel-time | CodeMeta OS API endpoint. |
GET |
/v1/parties/{id}/visible-articles |
GET /v1/parties/{id}/visible-articles | CodeMeta OS API endpoint. |
GET |
/v1/parties |
List parties | List parties for the active tenant. |
PATCH |
/v1/parties/{id} |
Patch partie | JSON Merge Patch update. |
PATCH |
/v1/parties/{personPartyId}/customer-membership |
PATCH /v1/parties/{personPartyId}/customer-membership | CodeMeta OS API endpoint. |
POST |
/v1/parties/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/parties/{id}/emails/import |
POST /v1/parties/{id}/emails/import | CodeMeta OS API endpoint. |
POST |
/v1/parties/export |
POST /v1/parties/export | CodeMeta OS API endpoint. |
POST |
/v1/parties/{id}/portal-users |
POST /v1/parties/{id}/portal-users | CodeMeta OS API endpoint. |
POST |
/v1/parties/{id}/transition |
POST /v1/parties/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/parties/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/parties/{id} |
Replace partie | Full replace with optimistic locking. |